.. currentmodule:: sardana.taurus.core.tango.sardana.macroserver

=================
Taurus Extensions
=================

.. rubric:: Functions

.. hlist::
    :columns: 3

    * :func:`registerExtensions`
    * :func:`unregisterExtensions`

.. rubric:: Classes

.. hlist::
    :columns: 4

    * :class:`BaseDoor`
    * :class:`BaseMacroServer`

.. autofunction:: registerExtensions
.. autofunction:: unregisterExtensions

BaseDoor
--------

.. inheritance-diagram:: BaseDoor
    :parts: 1

.. autoclass:: BaseDoor
    :show-inheritance:
    :members:
    :undoc-members:

BaseMacroServer
---------------

.. inheritance-diagram:: BaseMacroServer
    :parts: 1

.. autoclass:: BaseMacroServer
    :show-inheritance:
    :members:
    :undoc-members:
